package org.apache.muse.core.platform.osgi.internal;

import java.util.Collection;

import org.apache.muse.core.SimpleResourceManager;

/**
 * this class is a stub implementaiton of a ResourceManager that allows
 * a resource manager to be instantiated with no resource definitions.
 * This manager is used by the <code>OSGiResourceRouter</code> and is really only intended
 * to be used by <code>ResourceManagementProvider</code> implementations 
 * 
 * @author Joel Hawkins(joelh)
 *
 */
public class OSGiResourceManager extends SimpleResourceManager {
	
	/**
	 * adds resource definitions to the manager. If the collection is
	 * empty or null, no action is taken
	 * @param definitions the collection of resource definitions to be added to the manager
	 */
    public void addResourceDefinitions(Collection definitions) {
    	if(definitions == null || definitions.isEmpty()) return;
    	super.addResourceDefinitions(definitions);
    }
	

}
