/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.core.platform.osgi.axis2.internal;

import org.apache.axis2.AxisFault;
import org.apache.axis2.context.MessageContext;
import org.apache.axis2.description.AxisService;
import org.apache.axis2.description.Parameter;
import org.apache.axis2.i18n.Messages;
import org.apache.axis2.receivers.RawXMLINOutMessageReceiver;
import org.apache.muse.core.platform.osgi.axis2.Axis2IsolationLayer;
import org.osgi.framework.Bundle;

/**
 *
 * OSGiRawXMLInOutMessageReceiver extends the Axis2 <code>RawXMLINOutMessageReceiver</code>
 * to act as a factory for creating Axis2IsolationLayer instances
 *
 * @see org.apache.muse.core.platform.osgi.axis2.Axis2IsolationLayer
 * @author Joel Hawkins (joelh)
 *
 */

public class OSGiRawXMLInOutMessageReceiver extends RawXMLINOutMessageReceiver {

	/**
	 * returns the <code>Axis2IsolationLayer</code> instance.
	 * @param msgContext  the Axis2 message context for a service request
	 * @return            the <code>Axis2IsolationLayer</code> instance
	 */
    protected Object makeNewServiceObject(MessageContext msgContext) throws AxisFault {
    	return Axis2IsolationLayer.getInstance();
    }

}
