/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.tools.generator.util;

/**
 * Contains the name and class of a <code>ConfigurationData</code> parameter.
 * This will be expanded to have other metadata like 
 * 
 * <ul>
 * 		<li>Human readability</li>
 * 		<li>User provided</li>
 * </ul>
 * 
 * @author Andrew Eberbach (aeberbac)
 */
public class ConfigurationDataDescriptor {

	private String _parameterKey;
	private Class _parameterClass;

	public ConfigurationDataDescriptor(String parameterKey, Class parameterClass) {
		_parameterKey = parameterKey;
		_parameterClass = parameterClass;
	}

	public String getParameterKey() {
		return _parameterKey;
	}
	
	public Class getParameterClass() {
		return _parameterClass;
	}
}
