/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.dm.muws;

import javax.xml.namespace.QName;

import org.apache.muse.ws.resource.basefaults.BaseFault;

/**
 *
 * This interface represents the WSDM OperationalStatus capability. It provides 
 * accessor methods for the muws2:OperationalStatus property as well as the 
 * enumeration of possible values for that property.
 *
 * @author Dan Jemiolo (danj)
 *
 */

public interface OperationalStatus extends ManageabilityCapability
{
    QName[] PROPERTIES = new QName[]{
        MuwsConstants.OP_STATUS_QNAME
    };
    
    //
    // The valid values for the OperationalStatus property
    //
    
    String AVAILABLE = "Available";
    String PARTIALLY_AVAILABLE = "PartiallyAvailable";
    String UNAVAILABLE = "Unavailable";
    String UNKNOWN = "Unknown";
    
    String getOperationalStatus()
        throws BaseFault;
    
    void setOperationalStatus(String status)
        throws BaseFault;
}
