/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.dm.muws;

import javax.xml.namespace.QName;

import org.apache.muse.util.xml.XmlSerializable;

/**
 * 
 * RelationshipType represents the muws2:Type field in a WSDM 
 * {@linkplain RelationshipResource relationship}. This field can be 
 * represented by an XML element that has one child; the child may also 
 * have one child, creating a simple hierarchy of element names that 
 * describe the relationship in increasing detail. The names of the 
 * XML elements that are children to the muws2:Type element are returned 
 * by the getValues() method.
 *
 * @author Dan Jemiolo (danj)
 *
 */
public interface RelationshipType extends XmlSerializable
{
    /**
     * 
     * @return The names of the XML elements that are children to the 
     *         muws2:Type element, with the element closest to the top 
     *         coming first, and the innermost child coming last.
     *
     */
    QName[] getValues();
}
