/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.dm.muws.ext;

import javax.xml.namespace.QName;

/**
 * 
 * MuwsExtConstants is a collection of properties and fields for extensions 
 * to the WSDM MUWS 1.1 spec.
 *
 * @author Dan Jemiolo (danj)
 *
 */

public class MuwsExtConstants
{    
    public static final String NAMESPACE_URI = "http://ws.apache.org/muse/wsdm/muws";
    
    public static final String PREFIX = "muse-muws";
    
    public static final QName MATCHES_QNAME = 
        new QName(NAMESPACE_URI, "Matches", PREFIX);
    
    public static final QName MATCHES_RESPONSE_QNAME = 
        new QName(NAMESPACE_URI, "MatchesResponse", PREFIX);
    
    public static final QName RELATIONSHIP_CREATION_FAILED_QNAME = 
        new QName(NAMESPACE_URI, "RelationshipCreationFailedFault", PREFIX);
}
