/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.dm.muws.impl;


import javax.xml.namespace.QName;

import org.apache.muse.ws.dm.muws.Description;

/**
 *
 * SimpleDescription is Muse's default implementation of the WSDM 
 * Description capability.
 *
 * @author Dan Jemiolo (danj)
 *
 */

public class SimpleDescription 
    extends AbstractManageabilityCapability implements Description
{    
    private String[] _captions = null;
    
    private String[] _descriptions = null;
    
    private String _version = null;
    
    public synchronized String[] getCaption()
    {
        return _captions;
    }
    
    public synchronized String[] getDescription()
    {
        return _descriptions;
    }
    
    public QName[] getPropertyNames()
    {
        return PROPERTIES;
    }
    
    public synchronized String getVersion()
    {
        return _version;
    }
    
    public synchronized void setCaption(String[] captions)
    {
        _captions = captions;
    }
    
    public synchronized void setDescription(String[] descriptions)
    {
        _descriptions = descriptions;
    }
    
    public synchronized void setVersion(String version)
    {
        _version = version;
    }
}
