/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.notification.topics;

import java.util.Collection;

import org.apache.muse.util.xml.XmlSerializable;
import org.apache.muse.ws.resource.basefaults.BaseFault;

/**
 * 
 * TopicSet is an interface that represents the wst:TopicSet data structure 
 * that is described in WS-Topics v1.3.
 *
 * @author Dan Jemiolo (danj)
 *
 */

public interface TopicSet extends XmlSerializable
{
    void addTopicNamespace(TopicNamespace topicSpace) 
        throws BaseFault;

    /**
     * 
     * @param namespace
     * 
     * @return The TopicNamespace represented by the given URI, or null if none exists.
     *
     */
    TopicNamespace getTopicNamespace(String namespace);
    
    /**
     * 
     * @return The namespace URIs for all of the topic namespaces in the topic set.
     *
     */
    Collection getTopicNamespaceURIs();

    void removeTopicNamespace(String namespace);
}
