/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.notification.topics;

import javax.xml.namespace.QName;

/**
 *
 * WstConstants is a collection of properties and methods that is useful when 
 * programming against the WS-Topics spec. This class uses WS-T v1.3.
 *
 * @author Dan Jemiolo (danj)
 *
 */

public class WstConstants
{
    public static final String NAMESPACE_URI = "http://docs.oasis-open.org/wsn/t-1";
        
    public static final String PREFIX = "wst";
    
    public static final String CONCRETE_TOPIC_URI = NAMESPACE_URI + "/TopicExpression/Concrete";
    
    public static final String DIALECT = "dialect";
        
    public static final String FINAL = "final";
    
    public static final String FULL_TOPIC_URI = NAMESPACE_URI + "/TopicExpression/Full";
    
    public static final String MESSAGE_TYPES = "messageTypes";
    
    public static final QName PATTERN_QNAME = 
        new QName(NAMESPACE_URI, "MessagePattern", PREFIX);
    
    public static final String SIMPLE_TOPIC_URI = NAMESPACE_URI + "/TopicExpression/Simple";

    public static final QName TOPIC_NAMESPACE_QNAME = 
        new QName(NAMESPACE_URI, "TopicNamespace", PREFIX);
    
    public static final QName TOPIC_QNAME = 
        new QName(NAMESPACE_URI, "Topic", PREFIX);
    
    public static final QName TOPIC_SET_QNAME = 
        new QName(NAMESPACE_URI, "TopicSet", PREFIX);
}
