/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.resource.properties.set;

import org.w3c.dom.Element;

import org.apache.muse.ws.resource.basefaults.BaseFault;

/**
 * 
 * @author Dan Jemiolo (danj)
 *
 */

public interface PutResourcePropertyDocument
{
    /**
     * 
     * @param wsrpDoc
     *        The new WSRP document for the resource instance.
     *        
     * @return If the change was a complete success, the method returns 
     *         null. If any differences exist between the given WSRP document 
     *         and the one that is present after the method is finished, the 
     *         method returns the entire WSRP document.
     *         
     * @throws BaseFault
     *
     */
    Element putResourcePropertyDocument(Element wsrpDoc) 
        throws BaseFault;
}
