/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.resource.properties.set;

import org.apache.muse.ws.resource.WsResourceCapability;

/**
 * 
 * SetCapability is allows users to expose the WSRP "write" operations so that 
 * remote clients can modify the contents of the WSRP document. These operations 
 * include PutResourcePropertyDocument and SetResourceProperties.
 *
 * @author Dan Jemiolo (danj)
 *
 */

public interface SetCapability 
    extends WsResourceCapability, 
            PutResourcePropertyDocument, 
            SetResourceProperties
{
    //
    // no additional methods - this is an aggregate of the 
    // "set" methods in WS-RP
    //
}
