/*=============================================================================*
 *  Copyright 2006 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/

package org.apache.muse.ws.metadata.impl;

import org.w3c.dom.Element;

import org.apache.muse.core.routing.AbstractMessageHandler;
import org.apache.muse.ws.metadata.WsxConstants;

/**
 *
 * GetMetadataHandler is the parser for the WS-MetadataExchange GetMetadata 
 * operation.
 *
 * @author Dan Jemiolo (danj)
 * 
 * @see org.apache.muse.ws.metadata.MetadataExchange
 *
 */

public class GetMetadataHandler extends AbstractMessageHandler
{
    public GetMetadataHandler()
    {
        super(WsxConstants.GET_METADATA_URI, WsxConstants.GET_METADATA_QNAME);
    }

    public Object[] fromXML(Element xml)
    {
        GetMetadataRequest request = new GetMetadataRequest(xml);
        return new Object[]{ request.getDialect() };
    }

    public Element toXML(Object result)
    {
        GetMetadataResponse get = new GetMetadataResponse((Element[])result);
        return get.toXML();
    }
}
